Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2008-6975

Overview

Vulnerability Score 6.8 6.8
CVE Id CVE-2008-6975
Last Modified 18 Aug 2009 12:00:00
Published 14 Aug 2009 11:16:27
Confidentiality Impact PARTIAL PARTIAL
Integrity Impact PARTIAL PARTIAL
Availability Impact PARTIAL PARTIAL
Access Vector NETWORK
Access Complexity MEDIUM
Authentication NONE

CVE-2008-6975

Summary

Multiple cross-site request forgery (CSRF) vulnerabilities in apply.cgi in DD-WRT 24 sp2 allow remote attackers to hijack the authentication of administrators for requests that (1) execute arbitrary commands via the ping_ip parameter; (2) change the administrative credentials via the http_username and http_passwd parameters; (3) enable remote administration via the remote_management parameter; or (4) configure port forwarding via certain from, to, ip, and pro parameters. NOTE: This issue reportedly exists because of a "weak ... anti-CSRF fix" implemented in 24 sp2.

Vulnerable Systems

Application

  • Dd-wrt 24


References

BUGTRAQ - 20081211 Re: Multiple XSRF in DD-WRT (Remote Root Command Execution)

BUGTRAQ - 20081210 Re: Multiple XSRF in DD-WRT (Remote Root Command Execution)

BUGTRAQ - 20081208 Multiple XSRF in DD-WRT (Remote Root Command Execution)

MILW0RM - 9209

MISC - http://www.dd-wrt.com/phpBB2/viewtopic.php?t=55173


Last Updated: 27 May 2016 10:49:25